@vebmaster

Как правильно установить mysql сервер 5.7, чтобы mysql-common не обновлялся до 5.8?

Здравствуйте.
Debian 9.12
Впс на selectel.ru
В файле /etc/apt/sources.list только репозитории selectel.ru.

Потребовалось установить mysql 5.7 сервер. Скачал с официального сайта mysql-apt-config_0.8.15-1_all.deb и установил.
При установки mysql сервера 5.7 версии он почему то тянул пакет mysql-common с репозитория selectel.ru (mysql-common/oldstable 5.8+1.0.2 amd64).
В результате после установки почти все установленные пакеты были 5.7 (с репозитория repo.mysql.com), а mysql-common версии 5.8 (с mirror.selectel.ru).

После удаления всего установленного пришлось сначала в ручную установить mysql-common версии 5.7 и заморозить его для обновления
apt install mysql-common=5.7.30-1debian9
apt-mark hold mysql-common=5.7.30-1debian9

И только после этого устанавливать mysql-server.
В результате получаем невозможность в будущем обновить пакет mysql-common, что очень неудобно и не правильно.

Подскажите пожалуйста, как правильно решить данную проблему, что все версии были 5.7?
Удалением из /etc/apt/sources.list всех записей с mirror.selectel.ru и установкой стандартных (https://wiki.debian.org/ru/SourcesList ) от debian.org? Или как то под другому?
Спасибо.
  • Вопрос задан
  • 81 просмотр
Пригласить эксперта
Ответы на вопрос 1
@vebmaster Автор вопроса
как я понял mysql-common версии 5.8 это нормально для mysql-server 5.7
В этом нет ничего странного.
Если не так, поправьте пожалуйста.
Ответ написан
Ваш ответ на вопрос

Войдите, чтобы написать ответ

Войти через центр авторизации
Похожие вопросы